Subject: [bug#30982] [PATCH 0/8] Update python-pycairo and dependencies

From: [email-masked] (Ludovic Courtès)
Date: Fri, 30 Mar 2018 10:45:12 +0200

Hi Arun,

Arun Isaac <[email-masked]> skribis:

> I have updated python-pycairo and several of its dependencies. In particular,
> the latest version of python-pytest introduced several new circular
> dependencies. I created bootstrap versions of several packages with tests
> disabled to break up the circular dependencies.

Good!

> The April 2 deadline for freezing the current core-updates cycle is close
> by. Is it possible to accommodate these updates in the current core-updates
> cycle?
>
> Thanks!
>
> Arun Isaac (8):
>   gnu: python-attrs: Update to 17.4.0.
>   gnu: python-pyasn1: Update to 0.4.2.
>   gnu: python-pluggy: Update to 0.6.0.
>   gnu: Add python-more-itertools.
>   gnu: python-hypothesis: Update to 3.52.0.
>   gnu: python-py: Update to 1.5.3.
>   gnu: python-pytest: Update to 3.5.0.
>   gnu: python-pycairo: Update to 1.16.3.

I looked at the patches and they LGTM.

You’re welcome to test them (even on master, if that’s more convenient
for you), and then push to ‘core-updates’.

Thank you!

Ludo’.